## org.codehaus.groovy.tools.shell
Class IO

Container for input/output handles.

version:
  $Id: IO.java 8907 2007-10-30 12:28:43Z paulk $

author:
  Jason Dillon

Field Summary
`PrintWriter` | `err`
`OutputStream` | `errorStream`
`Reader` | `in`
`InputStream` | `inputStream`
`PrintWriter` | `out`
`OutputStream` | `outputStream`

Constructor Summary
`IO(InputStream inputStream, OutputStream outputStream, OutputStream errorStream)` Raw input stream.
`IO()` Construct a new IO container using system streams.

Method Summary
`void` | `close()` Close all streams.
`void` | `flush()` Flush both output streams.
`Verbosity` | `getVerbosity()` Returns the verbosity level.
`boolean` | `isDebug()`
`boolean` | `isInfo()`
`boolean` | `isQuiet()`
`boolean` | `isVerbose()`
`void` | `setVerbosity(Verbosity verbosity)` Set the verbosity level.

Constructor Detail

### IO

    public IO(InputStream inputStream, OutputStream outputStream, OutputStream errorStream)

  Raw input stream.

### IO

    public IO()

  Construct a new IO container using system streams.

Method Detail

### close

    public void close()

  Close all streams.

### flush

    public void flush()

  Flush both output streams.

### getVerbosity

    public Verbosity getVerbosity()

  Returns the verbosity level.

### isDebug

    public boolean isDebug()

### isInfo

    public boolean isInfo()

### isQuiet

    public boolean isQuiet()

### isVerbose

    public boolean isVerbose()

### setVerbosity

    public void setVerbosity(Verbosity verbosity)

  Set the verbosity level.
  param:
    verbosity